%global shortname zipstream

Name:           php-zipstream
Version:        0.2.2
Release:        6%{?dist}
Summary:        Streaming dynamic zip from PHP without writing to the disk

Group:          Development/Libraries
License:        MIT
URL:            http://pablotron.org/software/zipstream-php/
Source0:        http://pablotron.org/files/%{shortname}-php-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       php-common >= 5.1.2


%description
ZipStream is a library for dynamically streaming dynamic zip files from PHP
without writing to the disk at all on the server.


%prep
%setup -qn %{shortname}-php-%{version}


%build
# empty build section, nothing required


%install
rm -rf %{buildroot}
install -d %{buildroot}%{_datadir}/php/%{shortname}
cp -a *.php %{buildroot}%{_datadir}/php/%{shortname}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING extras README
%{_datadir}/php/%{shortname}


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jun 25 2011 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.2.2-1
- Initial packaging
